---
title: XRSession.onvisibilitychange
slug: Web/API/XRSession/onvisibilitychange
tags:
  - API
  - AR
  - Augmented Reality
  - Event Handler
  - Reference
  - VR
  - Virtual Reality
  - WebXR Device API
  - XRSession
  - onvisibilitychange
---
<div>{{draft}}{{securecontext_header}}{{APIRef("WebXR")}}</div>

<p><span class="seoSummary">The <code><strong>onvisibilitychange</strong></code> attribute of the {{DOMxRef("XRSession")}} object is the event handler for the {{DOMxRef("XRSession.visibilitychange_event", "visibilitychange")}} event, which is dispatched when the visibility state of the XR session changes. The visibility state of the session is accessible via {{DOMxRef("XRSession.visibilityState")}}.</span></p>

<div class="notecard note">
<p><strong>Note:</strong> The visibility state of XR session affects the frame loop so callbacks registered via {{DOMxRef("XRSession.requestAnimationFrame()")}} might not be called. Consult {{DOMxRef("XRSession.visibilityState")}} article for details.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>XRSession</em>.onvisibilitychange = function(event) { ... }
</pre>

<h2 id="Example">Example</h2>

<pre class="brush: js"><em>XRSession</em>.onvisibilitychange = function(event) {
  console.log("The visibility the XR session changed.")
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("WebXR","#dom-xrsession-onvisibilitychange","XRSession.onvisibilitychange")}}</td>
   <td>{{Spec2("WebXR")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.XRSession.onvisibilitychange")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{DOMxRef("XRSession.visibilityState")}}</li>
 <li>{{DOMxRef("XRSession.requestAnimationFrame()")}}</li>
</ul>
